import React from "react";
import CodeMirror from "codemirror";
import 'codemirror/lib/codemirror.css' // CodeMirrory原生样式
import 'codemirror/mode/sql/sql'
import 'codemirror/mode/python/python'
import 'codemirror/mode/shell/shell'
import 'codemirror/addon/display/placeholder' 
import 'codemirror/addon/hint/show-hint.css' // 用来做代码提示
import 'codemirror/addon/hint/show-hint.js' // 用来做代码提示
import 'codemirror/addon/hint/sql-hint.js' // 用来做代码提示

export default class ScriptEditor extends React.Component<any, any> {
  constructor(props: any) {
    super(props)
    this.state = {}
  }

  componentDidMount() {
    const editor = CodeMirror.fromTextArea(document.querySelector('.editor') as any, {
      lineNumbers: true,
      mode: 'python',
    })
    editor.setSize(null, '100%')
  }

  render () {
    return (
      <textarea className="editor"></textarea>
    )
  }
}